/currencies/:idRetrieve a Currency by ID
getCurrenciesByIdV1https://a-api.coinpayments.net/api/v1/currencies/:idRequest
path parametersidstringpaththe id of the currency to retrieve
Responses
200Represents money, in any form (e.g. crypto/fiat currencies and tokens), supported on the CoinPayments platform in some capacity (e.g. holding in a wallet and/or payment processing).
idstringthe unique id of the currency on the CoinPayments platform
1235typeunknownthe type of the currency
symbolstringticker symbol for the currency. For fiat currencies this is the three character (ISO-4217) currency code, and for crypto currencies their multi-character symbol.
BTCnamestringthe name of the currency, e.g. 'United States Dollar' or 'Bitcoin'
Bitcoinlogounknownnullablethe logo urls for the currency
decimalPlacesintegerthe number of digits after the decimal separator, e.g. 2 for USD, 8 for BTC, 0 for JPY
int32rankintegerthe relative ordering/ranking of this currency to the other supported currencies on the CoinPayments platform
int32statusunknownThe status of the currency on the CoinPayments platform
capabilitiesstring[]nullablethe capabilities of the currency on the CoinPayments platform
paymentssingleSigAccountspooledAccountsutxoconversiononRampoffRampurlsunknownnullableobject containing various urls for the currency
requiredConfirmationsintegerThe required number of confirmations needed to be received to treat transactions related to this currency as confirmed
int64isEnabledForPaymentbooleanWhether currency is enabled as a payment option for invoices and payment buttons
